﻿////----------------------------------------------------------
//// Copyright (C) K-Group srl. All rights reserved.
////----------------------------------------------------------
//// KTemplatedCollection.js

// CTOR
function KTemplatedCollection(Source, itemConstructor) {
   KCollection.call(this, Source, itemConstructor);
}

KTemplatedCollection.prototype = new KCollection();

KTemplatedCollection.prototype.defaultItemConstructor = function(Source) {
   return new KTemplatedObject(Source);
}

KTemplatedCollection.prototype.ReplaceInTemplate = function(TemplateSource, MappingSchema, asArray, separator) {
   var a1 = [];
   var tmp1 = "";
   
   // CHECK SUL PARAMETRO asArray (OPZIONALE) : SE NON E' STATO SPECIFICATO LO IMPOSTO A FALSE
   if (typeof asArray == 'undefined') {
      asArray = false;
   }
   
   // CHECK SUL PARAMETRO separator (OPZIONALE) : SE NON E' STATO SPECIFICATO LO IMPOSTO A '' (STRINGA VUOTA)
   if (typeof separator == 'undefined') {
      separator = '';
   }
   
   // CICLO SU TUTTI GLI ELEMENTI E COLLEZIONO I RISULTATI
   for (var i = 0; i < this.Items.length ; i++) {
      // AGGIUNGO UNA STRINGA NELL'ARRAY DEI RISULTATI
      
      tmp1 = this.Items[i].ReplaceInTemplate(TemplateSource, MappingSchema);
      tmp1 = tmp1.replace(/KPH__Index/g, i.toString());
      
      a1[a1.length] = tmp1;
   }
   
   if (asArray) {
      return a1;
   } else {
      return a1.join(separator);
   }
}